# Seznam výdejních míst

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /accessPoint:
    get:
      summary: Seznam výdejních míst
      deprecated: false
      description: >+
        ## Význam a použití

        Metoda accessPoint slouží k získání seznamu výdejních míst, tzv. Access
        Pointů a to v případě, že nechce zákazník využívat [hotový mapový widget
        PPL](https://www.ppl.cz/jak-zacit#widget)

        Pomocí této metody je možné získat následující typy výdejních míst, kam
        lze zásilky doručit, případně odkud je lze odeslat:

        - ParcelShopy

        - ParcelBoxy

        - AlzaBoxy 


        Používá se především k:


        - **Zobrazení nabídky výdejních míst pro zákazníky, pomocí vlastních
        mapových podkladů**

        Například v e-shopu, kde si zákazník může vybrat, na kterou pobočku
        (Access Point) chce zásilku doručit.

        Response totiž obsahuje mimo jiné GPS souřadnice, otevírací dobu a další
        potřebné informace ke každému výdejnímu místu. 

        Důležitou položkou je jedinečný identifikátor AccessPointCode, který se
        následně používá při vytváření štítků na vybrané výdejní místo.


        - **Automatizované zpracování objednávek**
          Při tvorbě zásilky v ERP systému, nebo jiném e-commerce řešení je potřeba systémově vybrat vhodné nebo nejbližší výdejní místo na základě údajů o zákazníkovi (PSČ, adresa apod.).

        ## Typy výdejních míst - accessPointTypes

        Typy výdejních míst jsou vraceny v odpovědi na volání metody [GET
        accessPoint](https://cpl-api.apidog.io/seznam-v%C3%BDdejn%C3%ADch-m%C3%ADst-13465887e0).
        Zadáním jejich kódu do query parametru requestu **accessPoint** lze
        vyfiltrovat požadovaná výdejní místa.

        | Název | Kód |

        | --- | --- |

        | ParcelShop | ParcelShop |

        | ParcelBox | ParcelBox |

        | AlzaBox | AlzaBox |

      tags:
        - API Metody/AccessPoint
        - AccessPoint
      parameters:
        - name: AccessPointCode
          in: query
          description: Kód Výdejního místa
          required: false
          schema:
            type: string
        - name: CountryCode
          in: query
          description: >-
            Kód země viz. /codelist/country

            Pokud chcete zobrazit access pointy pro jinou zemi než je ČR je
            nutné zadat countryCode, jinak se vám zobrazí access pointy pro ČR.
          required: true
          schema:
            type: string
        - name: ZipCode
          in: query
          description: PSČ
          required: false
          schema:
            type: string
        - name: City
          in: query
          description: Město
          required: false
          schema:
            type: string
        - name: AccessPointTypes
          in: query
          description: Typ výdejního místa
          required: false
          schema:
            type: array
            items: &ref_12
              $ref: >-
                #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.ConstMyApi2AccessPointType
        - name: Radius
          in: query
          description: Rádius (km)
          required: false
          schema:
            type: integer
            format: int32
        - name: Latitude
          in: query
          description: GPS souřanice
          required: false
          schema:
            type: number
            format: double
        - name: Longitude
          in: query
          description: GPS souřanice
          required: false
          schema:
            type: number
            format: double
        - name: TribalServicePoint
          in: query
          description: Kmenové výdejní místo
          required: false
          schema:
            type: boolean
        - name: ActiveCardPayment
          in: query
          description: Možnost platby kartou
          required: false
          schema:
            type: boolean
        - name: ActiveCashPayment
          in: query
          description: Možnost platby v hotovosti
          required: false
          schema:
            type: boolean
        - name: PickupEnabled
          in: query
          description: Možnost podání zásilky
          required: false
          schema:
            type: boolean
        - name: Sizes
          in: query
          description: 'Maximální hodnoty velikosti balíku: S,M,L,XL'
          required: false
          schema:
            type: array
            items:
              type: string
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JKFMYPVE0XKPVPM1XYCZMTXS:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointModel
                      x-apidog-overrides:
                        accessPointCode: &ref_11
                          type: string
                          description: Kód Výdejního místa
                          nullable: true
                        name: &ref_13
                          type: string
                          description: Jméno
                          nullable: true
                        street: &ref_14
                          type: string
                          description: Ulice
                          nullable: true
                        city: &ref_15
                          type: string
                          description: Město
                          nullable: true
                        country: &ref_16
                          type: string
                          description: Země
                          nullable: true
                        zipCode: &ref_17
                          type: string
                          description: PSČ
                          nullable: true
                        phone: &ref_18
                          type: string
                          description: Telefon
                          nullable: true
                        email: &ref_19
                          type: string
                          description: Email
                          nullable: true
                        tribalServicePoint: &ref_20
                          type: boolean
                          description: Tribal service point
                        activeCardPayment: &ref_21
                          type: boolean
                          description: Možnost platby kartou
                        activeCashPayment: &ref_22
                          type: boolean
                          description: Možnost platby v hotovosti
                        pickupEnabled: &ref_23
                          type: boolean
                          description: Možnost podání zásilky
                        gps: &ref_26
                          oneOf:
                            - type: object
                              x-apidog-refs:
                                01JKFN3A7CDC47MM2019RXWZWJ: &ref_30
                                  $ref: >-
                                    #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.CoordinatesModel
                                  x-apidog-overrides:
                                    latitude: &ref_0
                                      type: number
                                      description: Zeměpisná šířka
                                      format: double
                                      nullable: true
                                    longitude: &ref_1
                                      type: number
                                      description: Zeměpisná délka
                                      format: double
                                      nullable: true
                              x-apidog-orders:
                                - 01JKFN3A7CDC47MM2019RXWZWJ
                              properties:
                                latitude: *ref_0
                                longitude: *ref_1
                              x-apidog-ignore-properties:
                                - latitude
                                - longitude
                            - &ref_31
                              $ref: '#/components/schemas/EmptyNullableObject'
                        dimensionForced: &ref_24
                          type: boolean
                          description: Omezení rozměrů
                        workHours: &ref_25
                          type: array
                          items:
                            type: object
                            x-apidog-refs:
                              01JKFN9HTWHETA8MRJKPPQVA3Q: &ref_29
                                $ref: >-
                                  #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointWorkHourModel
                                x-apidog-overrides:
                                  weekDay: &ref_2
                                    type: integer
                                    description: pracovní dny (1 - Neděle, 7 - Sobota)
                                    format: int32
                                  openFrom: &ref_4
                                    type: string
                                    description: Otevřeno od
                                    format: date-span
                                  openTo: &ref_5
                                    type: string
                                    description: Otevřeno do
                                    format: date-span
                                  dayPart: &ref_3
                                    type: integer
                                    description: >-
                                      Části pracovního dně (0 - ráno, 1 -
                                      odpoledne)
                                    format: int32
                            x-apidog-orders:
                              - 01JKFN9HTWHETA8MRJKPPQVA3Q
                            properties:
                              weekDay: *ref_2
                              dayPart: *ref_3
                              openFrom: *ref_4
                              openTo: *ref_5
                            x-apidog-ignore-properties:
                              - weekDay
                              - dayPart
                              - openFrom
                              - openTo
                          description: Otevírací doba
                          nullable: true
                        capacitySettings: &ref_27
                          type: array
                          items:
                            type: object
                            x-apidog-refs:
                              01JKFNDPHJJNMK6PFAKNVW4XK3: &ref_32
                                $ref: >-
                                  #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointCapacitySettingModel
                                x-apidog-overrides:
                                  size: &ref_6
                                    type: string
                                    description: 'velikost: S,M,XL...'
                                    nullable: true
                                  capacity: &ref_7
                                    type: integer
                                    description: Maximální kapacita
                                    format: int32
                                    nullable: true
                                  length: &ref_8
                                    type: integer
                                    description: Délka
                                    format: int32
                                  height: &ref_9
                                    type: integer
                                    description: Výška
                                    format: int32
                                  width: &ref_10
                                    type: integer
                                    description: Šířka
                                    format: int32
                            x-apidog-orders:
                              - 01JKFNDPHJJNMK6PFAKNVW4XK3
                            properties:
                              size: *ref_6
                              capacity: *ref_7
                              length: *ref_8
                              height: *ref_9
                              width: *ref_10
                            x-apidog-ignore-properties:
                              - size
                              - capacity
                              - length
                              - height
                              - width
                          description: >-
                            Nastavení kapacity obchodu. Popisuje jaké rozměry
                            zásilek dané výdejní místo přijímá
                          nullable: true
                  x-apidog-orders:
                    - 01JKFMYPVE0XKPVPM1XYCZMTXS
                  properties:
                    accessPointCode: *ref_11
                    accessPointType: *ref_12
                    name: *ref_13
                    name2:
                      type: string
                      description: Name2
                      nullable: true
                    street: *ref_14
                    city: *ref_15
                    country: *ref_16
                    zipCode: *ref_17
                    phone: *ref_18
                    email: *ref_19
                    tribalServicePoint: *ref_20
                    activeCardPayment: *ref_21
                    activeCashPayment: *ref_22
                    pickupEnabled: *ref_23
                    dimensionForced: *ref_24
                    workHours: *ref_25
                    accessPointNote:
                      type: string
                      description: AccessPointNote
                      nullable: true
                    gps: *ref_26
                    capacitySettings: *ref_27
                  x-apidog-ignore-properties:
                    - accessPointCode
                    - accessPointType
                    - name
                    - name2
                    - street
                    - city
                    - country
                    - zipCode
                    - phone
                    - email
                    - tribalServicePoint
                    - activeCardPayment
                    - activeCashPayment
                    - pickupEnabled
                    - dimensionForced
                    - workHours
                    - accessPointNote
                    - gps
                    - capacitySettings
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKNKPVWTBZWRH0JGTJP52C7
                x-apidog-refs:
                  01JJKNKPVWTBZWRH0JGTJP52C7: &ref_28
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '405':
          description: MethodNotAllowed
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPDB3AJWCK2F5HSAM8V6KR
                x-apidog-refs:
                  01JJKPDB3AJWCK2F5HSAM8V6KR: *ref_28
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: '405'
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPECEB33B9SDM390XQTKTF
                x-apidog-refs:
                  01JJKPECEB33B9SDM390XQTKTF: *ref_28
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPJTAASZGAJSH6SMY9TVXM
                x-apidog-refs:
                  01JJKPJTAASZGAJSH6SMY9TVXM: *ref_28
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security: []
      x-apidog-folder: API Metody/AccessPoint
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/796227/apis/api-13465887-run
components:
  schemas:
    Eps.Api.MyApi2.Web.Models.AccessPoint.ConstMyApi2AccessPointType:
      enum:
        - None
        - ParcelShop
        - ParcelBox
        - AlzaBox
      type: string
      description: Access point type
      x-apidog-folder: ''
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointModel:
      type: object
      properties:
        accessPointCode:
          type: string
          description: AccessPointCode
          nullable: true
        accessPointType: *ref_12
        name:
          type: string
          description: Name
          nullable: true
        name2:
          type: string
          description: Name2
          nullable: true
        street:
          type: string
          description: Street
          nullable: true
        city:
          type: string
          description: City
          nullable: true
        country:
          type: string
          description: Country
          nullable: true
        zipCode:
          type: string
          description: ZipCode
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        tribalServicePoint:
          type: boolean
          description: Tribal service point
        activeCardPayment:
          type: boolean
          description: ActiveCardPayment
        activeCashPayment:
          type: boolean
          description: Active cash payment
        pickupEnabled:
          type: boolean
          description: Pickup enabled
        dimensionForced:
          type: boolean
          description: Dimension forced
        workHours:
          type: array
          items: *ref_29
          description: WorkHours
          nullable: true
        accessPointNote:
          type: string
          description: AccessPointNote
          nullable: true
        gps:
          oneOf:
            - *ref_30
            - *ref_31
        capacitySettings:
          type: array
          items: *ref_32
          description: CapacitySettings
          nullable: true
      additionalProperties: false
      description: AccessPointModel
      x-apidog-orders:
        - accessPointCode
        - accessPointType
        - name
        - name2
        - street
        - city
        - country
        - zipCode
        - phone
        - email
        - tribalServicePoint
        - activeCardPayment
        - activeCashPayment
        - pickupEnabled
        - dimensionForced
        - workHours
        - accessPointNote
        - gps
        - capacitySettings
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointCapacitySettingModel:
      type: object
      properties:
        size:
          type: string
          description: Size
          nullable: true
        capacity:
          type: integer
          description: Capacity
          format: int32
          nullable: true
        length:
          type: integer
          description: Length
          format: int32
        height:
          type: integer
          description: Height
          format: int32
        width:
          type: integer
          description: Width
          format: int32
      additionalProperties: false
      description: AccessPointCapacitySettingModel
      x-apidog-orders:
        - size
        - capacity
        - length
        - height
        - width
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointWorkHourModel:
      type: object
      properties:
        weekDay:
          type: integer
          description: Access point work hour week day (1 - Sunday, 7 - Saturday)
          format: int32
        dayPart:
          type: integer
          description: Access point work hour day part (0 - morning, 1 - afternoon)
          format: int32
        openFrom:
          type: string
          description: Access point work hour open from
          format: date-span
        openTo:
          type: string
          description: Access point work hour open to
          format: date-span
      additionalProperties: false
      description: AccessPointWorkHourModel
      x-apidog-orders:
        - weekDay
        - dayPart
        - openFrom
        - openTo
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    EmptyNullableObject:
      description: Injected nullable object
      type: 'null'
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.CoordinatesModel:
      type: object
      properties:
        latitude:
          type: number
          description: Latitude
          format: double
          nullable: true
        longitude:
          type: number
          description: Longitude
          format: double
          nullable: true
      additionalProperties: false
      description: A model for displaying / forwarding GPS coordinates
      x-apidog-orders:
        - latitude
        - longitude
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security: []

```
